Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## javax.xml.transform
Interface URIResolver

      public interface URIResolver

An object that implements this interface that can be called by the processor to turn a URI used in document(), xsl:import, or xsl:include into a Source object.

Method Summary
`Source` `resolve(java.lang.String href, java.lang.String base)` Called by the processor when it encounters an xsl:include, xsl:import, or document() function.

Method Detail

### resolve

    Source resolve(java.lang.String href,
                   java.lang.String base)
                   throws TransformerException

  Called by the processor when it encounters an xsl:include, xsl:import, or document() function.
  Parameters:
    `href` - An href attribute, which may be relative or absolute.
    `base` - The base URI in effect when the href attribute was encountered.
  Returns:
    A Source object, or null if the href cannot be resolved, and the processor should try to resolve the URI itself.
  Throws:
    `TransformerException` - if an error occurs when trying to resolve the URI.

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2001 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.